library dial_videocall;

import 'package:dial_videocall/src/page/video_call.dart';
import 'package:dial_videocall/src/utils/constants.dart';
import 'package:flutter/material.dart';

class DialVideoCall {
  static Future<void> startVideoCall({
    @required BuildContext context,
    @required String sessionFrom,
    @required String sessionTo
  }) async {
    await Navigator.push(context, MaterialPageRoute(builder: (context) {
      return VideoCallWidget(
        server: '${Constants.BASE_URL}:${Constants.PORT}', 
        sessionFrom: sessionFrom,
        sessionName: sessionTo, 
        userName: sessionTo, 
        secret: Constants.SECRET, 
        iceServer: Constants.ICE_SERVER
      );
    }))
    .then((value){
      return value;
    });
  }

  static Future<void> startVideoCallDev({
    @required BuildContext context,
    @required String sessionFrom,
    @required String sessionTo
  }) async {
    Navigator.push(context, MaterialPageRoute(builder: (context) {
      return VideoCallWidget(
        server: '${Constants.BASE_URL_DEV}:${Constants.PORT}', 
        sessionFrom: sessionFrom,
        sessionName: sessionTo, 
        userName: sessionTo, 
        secret: Constants.SECRET_DEV, 
        iceServer: Constants.ICE_SERVER
      );
    }))
    .then((value){
      return value;
    });
  }
}
